Announcement

Collapse
No announcement yet.

Arch linux (64bit) - unable to install or benchmark (no output)

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Arch linux (64bit) - unable to install or benchmark (no output)

    Hi.

    I have installed it fine on Ubuntu 32 bit.

    On arch linux (64) though you get no input at all - I have installed php.

    i.e :-

    [root@myhost phoronix-test-suite]# ./phoronix-test-suite install universe
    [root@myhost phoronix-test-suite]#

    no output at all...

    Any ideas - I really want to see the difference between 32 / 64 bit distros..

  • marmotta77
    replied
    Originally posted by jeffsa View Post
    I get the following error when running the phoronix-test-suite gui command.

    Code:
    PHP Warning:  file_get_contents(): Filename cannot be empty in /usr/share/phoronix-test-suite/pts-core/objects/phodevi/components/phodevi_system.php on line 495
    Running 64 bit Arch

    Arch community repo version of phoronix-test-suite 3.0.0.1
    Phoronix 3.0 not have the gui

    For the error message i have x64 arch and the same warning... but is not a problem

    Leave a comment:


  • jeffsa
    replied
    error

    I get the following error when running the phoronix-test-suite gui command.

    Code:
    PHP Warning:  file_get_contents(): Filename cannot be empty in /usr/share/phoronix-test-suite/pts-core/objects/phodevi/components/phodevi_system.php on line 495
    Running 64 bit Arch

    Arch community repo version of phoronix-test-suite 3.0.0.1

    Leave a comment:


  • Michael
    replied
    Originally posted by Gaius View Post
    I've got the same output as fabioamd87 on Arch Linux...
    You need PHP ZIP/JSON support installed as an extension or built into PHP.

    Leave a comment:


  • Gaius
    replied
    I've got the same output as fabioamd87 on Arch Linux...

    Leave a comment:


  • fabioamd87
    replied
    Code:
    [fabio@abuarch ~]$ phoronix-test-suite
    
    The following PHP extensions are REQUIRED by the Phoronix Test Suite:
    
    ZIP      PHP Zip support is required.  
    JSON     PHP JSON support is required. 
    
    The following PHP extensions are optional but recommended by the Phoronix Test Suite:
    
    OpenSSL  PHP OpenSSL support is recommended to support HTTPS traffic.
    
    [fabio@abuarch ~]$

    Leave a comment:


  • fackamato
    replied
    Originally posted by Happy_Kot View Post
    Thanx a lot!

    php.ini from Slackware 12.1 is working!
    The problem is with open_basedir. I commented that out, and it works in arch x86_64. (at least downloading the stuff, can't benchmark yet )

    Leave a comment:


  • Happy_Kot
    replied
    Thanx a lot!

    php.ini from Slackware 12.1 is working!

    Leave a comment:


  • Michael
    replied
    hmmm looks to be a problem then with your php.ini configuration of it not being able to open the required files.

    Are you able to post your /etc/php5/php.ini and/or try a php.ini file from elsewhere (say extracted from the one on Ubuntu or elsewhere)?

    Leave a comment:


  • Happy_Kot
    replied
    I have the same problem:
    Arch current 32bit,
    php 5.2.6-1,
    Phoronix 1.0.2

    # phoronix-test-suite diagnostics
    #

    other phoronix commands keep silence too

    in the message.log:

    php: PHP Warning: require(pts-core/functions/pts-functions.php): failed to open stream: Operation not permitted in /usr/share/phoronix-test-suite/pts-core/pts-run-cmd.php on line 25

    php: PHP Fatal error: require(): Failed opening required 'pts-core/functions/pts-functions.php' (include_path='.:/usr/share/pear') in /usr/share/phoronix-test-suite/pts-core/pts-run-cmd.php on line 25

    May be above log information can help find solution?

    Leave a comment:

Working...
X